libcache-fastmmap-perl (1.57-2build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:01:39 +0100

libcache-fastmmap-perl (1.57-2build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:06:00 +0100

libcache-fastmmap-perl (1.57-2build1) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:26:41 +0100

libcache-fastmmap-perl (1.57-2) unstable; urgency=medium

  * Skip t/21.t during build and autopkgtests.
    It needs not only a tmpfs >= 8GB but also appropriate permissions.
    Thanks to Sebastien Delafond for the detailed bug report.
    (Closes: #986289)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Jul 2022 16:35:41 +0200

libcache-fastmmap-perl (1.57-1) unstable; urgency=medium

  * Import upstream version 1.57.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Oct 2021 23:44:35 +0200

libcache-fastmmap-perl (1.56-1) unstable; urgency=medium

  * Import upstream version 1.56.

 -- gregor herrmann <gregoa@debian.org>  Thu, 17 Dec 2020 19:33:44 +0100

libcache-fastmmap-perl (1.54-1) unstable; urgency=medium

  * Import upstream versions 1.51, 1.54.
  * New test dependency: libtest-deep-perl.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Dec 2020 16:11:44 +0100

libcache-fastmmap-perl (1.50-1) unstable; urgency=medium

  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Import upstream version 1.50.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Nov 2020 17:01:35 +0100

libcache-fastmmap-perl (1.49-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Andrius Merkys ]
  * New upstream version 1.49
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Fri, 27 Mar 2020 01:11:33 -0400

libcache-fastmmap-perl (1.48-1) unstable; urgency=medium

  * Team upload.

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Andrius Merkys ]
  * New upstream version 1.48
  * Adding build-dependencies on libcompress-lz4-perl and
    libcompress-snappy-perl to run integration tests during build and CI
    (Closes: #925448)
  * Adding dependencies on libcompress-lz4-perl and libcompress-snappy-perl.

 -- Andrius Merkys <merkys@debian.org>  Sat, 27 Jul 2019 02:08:18 -0400

libcache-fastmmap-perl (1.47-1) unstable; urgency=medium

  * Team upload.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Lucas Kanashiro ]
  * New upstream version 1.47
  * Update years of upstream copyright
  * Update years of Debian packaging copyright
  * Bump debhelper compatibility level to 11
  * Declare compliance with Debian Policy 4.1.4
  * d/u/metadata: add Bug-Database field

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 27 Apr 2018 16:06:47 -0300

libcache-fastmmap-perl (1.46-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Lucas Kanashiro ]
  * Import upstream version 1.46
  * Remove unneeded patch fixing typo, applied by upstream
  * Update years of upstream copyright
  * Update Debian packaging copyright
  * Bump debhelper compatibility level to 10
  * Declare compliance with Debian Policy 4.0.0

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 15 Jul 2017 16:02:22 -0300

libcache-fastmmap-perl (1.44-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Lucas Kanashiro ]
  * Import upstream version 1.44
  * Declare compliance with Debian policy 3.9.8
  * debian/rules: export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
  * Create patch to fix typo in binary

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 29 Jun 2016 15:40:58 -0300

libcache-fastmmap-perl (1.43-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Update my email address.
  * Update d/copyright with upstream changes.

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Mark package as autopkgtest-able.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sun, 15 Nov 2015 23:59:26 -0500

libcache-fastmmap-perl (1.40-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Harlan Lieberman-Berg ]
  * Rebuilt for hardening (bumped compat, dh).
  * Updated copyright file, bumped s-v.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Sat, 01 Jun 2013 16:42:00 -0400

libcache-fastmmap-perl (1.40-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Dec 2011 18:36:28 +0100

libcache-fastmmap-perl (1.39-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release (1.37)
  * Update my email address.
  * Bump Standards-Version to 3.9.2 (no changes).
  * debian/control:
    - Convert Vcs-* fields to git.
  * debian/copyright:
    - Minor changes

  [ Harlan Lieberman-Berg ]
  * New upstream release
  * debian/copyright:
    - Changed primary copyright owner to Opera Software Australia
  * debian/control:
    - Added myself to uploaders

  [ gregor herrmann ]
  * Bump debhelper compatibility level to 8.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Thu, 04 Aug 2011 17:52:48 -0400

libcache-fastmmap-perl (1.36-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.1 (no changes)
  * Update license information to new standard clauses

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 03 Oct 2010 15:33:19 -0400

libcache-fastmmap-perl (1.35-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ Ansgar Burchardt ]
  * New upstream release.
  * Use source format 3.0 (quilt).
  * debian/copyright: Update years of copyright, minor changes for DEP-5.
  * debian/control: Make build-dep on perl unversioned.
  * Bump Standards-Version to 3.8.4.
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 20 Feb 2010 00:34:51 +0900

libcache-fastmmap-perl (1.34-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream bugfix release
  * Added /me to Uploaders
  * Updated package description
  * Use the tiny DH7 debian/rules format
  * Update debian/copyright.

  [ gregor herrmann ]
  * debian/watch: use extended regexp for matching upstream versions.
  * debian/copyright: add additional copyright holder.
  * Set Standards-Version to 3.8.2 (no changes).
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Jun 2009 16:33:49 +0200

libcache-fastmmap-perl (1.30-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 08 May 2009 10:57:07 +0200

libcache-fastmmap-perl (1.29-1) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * New upstream release
  * debian/control: Update Standards-Version to 3.8.1
  * debian/copyright: Update & convert to new schema

  [ Ansgar Burchardt ]
  * debian/control: Fix Homepage field

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Mon, 04 May 2009 10:34:28 +0200

libcache-fastmmap-perl (1.28-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 01 Jul 2008 11:18:55 +0200

libcache-fastmmap-perl (1.27-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   + Standards-Version: 3.8.0.1 (no changes)
  * debian/copyright:
   + link changed to non-versioned sources
  * debian/compat:
   + bumbed to 7 (no changes)
  * debian/rules:
   + used rules.simple example from debhelper 7

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 19 Jun 2008 16:09:46 +0200

libcache-fastmmap-perl (1.26-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Mon, 04 Feb 2008 13:17:43 +0100

libcache-fastmmap-perl (1.25-1) unstable; urgency=low

  * New upstream release
  * Move package from Catalyst Group to Debian Perl Group
   + Add additional headers

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Mon, 04 Feb 2008 13:07:13 +0100

libcache-fastmmap-perl (1.24-2) unstable; urgency=low

  * debian/rules: make transition to perl 5.10 smooth
  * debian/compat: upgraded to 6 without changes
  * debian/control: Standards-Version upgraded to 3.7.3 without changes

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 24 Jan 2008 15:35:22 +0100

libcache-fastmmap-perl (1.24-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 20 Nov 2007 13:00:18 +0100

libcache-fastmmap-perl (1.23-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 19 Oct 2007 15:54:27 +0200

libcache-fastmmap-perl (1.20-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 04 Oct 2007 11:57:06 +0200

libcache-fastmmap-perl (1.19-1) unstable; urgency=low

  * New upstream release
  * debian/rules: don't ignore make clean error

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 30 Aug 2007 10:09:05 +0200

libcache-fastmmap-perl (1.16-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 10 May 2007 15:35:35 +0200

libcache-fastmmap-perl (1.14-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 24 Oct 2006 15:16:05 +0200

libcache-fastmmap-perl (1.09-8) unstable; urgency=low

  * recovered missing copyright file (closes: #393559)
  * debian/control:
   + Standards-Version: upgraded to 3.7.2.1
  * debian/compat:
   + upgraded to 5

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 17 Oct 2006 10:09:54 +0200

libcache-fastmmap-perl (1.09-7) unstable; urgency=low

  * debian/watch - fixed

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Sun, 26 Feb 2006 12:19:33 +0100

libcache-fastmmap-perl (1.09-6) unstable; urgency=low

  [ Krzysztof Krzyzaniak]
  * Added debian/watch file
  * Cleaned debian/rules

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 14 Oct 2005 10:55:04 +0200

libcache-fastmmap-perl (1.09-5) unstable; urgency=low

  [ Krzysztof Krzyzaniak]
  * typo fixed in debian/control

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 13 Sep 2005 19:00:22 +0200

libcache-fastmmap-perl (1.09-4) unstable; urgency=low

  [ Krzysztof Krzyzaniak ]
  * Package donated to Debian Catalyst Maintainers
  * cleaning (updated files: copyright, control, rules)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 13 Sep 2005 13:42:10 +0200

libcache-fastmmap-perl (1.09-3) unstable; urgency=low

  * debian/copyright updated

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 19 Jul 2005 19:01:22 +0200

libcache-fastmmap-perl (1.09-2) unstable; urgency=low

  * Rebuilded with libc6 (>=2.3.2.ds1-22)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 19 Jul 2005 11:35:00 +0200

libcache-fastmmap-perl (1.09-1) unstable; urgency=low

  * Initial Release.
  * Close ITP bug (closes: #315637)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 24 Jun 2005 11:56:24 +0200
